osl::effect_action::StorePiece Struct Reference

PieceVector に格納 More...

`#include <effect_action.h>`

## Public Member Functions

| StorePiece (PieceVector *s)
template<Player P, Ptype Type>
void | doActionPtype (Piece p, Square pos)
template<Player P>
void | doAction (Piece p, Square)

## Public Attributes

PieceVector * | store

## Detailed Description

PieceVector に格納

Definition at line 150 of file effect_action.h.

## Constructor & Destructor Documentation

## StorePiece()

osl::effect_action::StorePiece::StorePiece | ( | PieceVector * | s | ) |

inline explicit

Definition at line 153 of file effect_action.h.

References store.

## Member Function Documentation

## doAction()

template<Player P>

void osl::effect_action::StorePiece::doAction | ( | Piece | p,
|  | Square | )

inline

Definition at line 162 of file effect_action.h.

References store.

Referenced by doActionPtype().

## doActionPtype()

template<Player P, Ptype Type>

void osl::effect_action::StorePiece::doActionPtype | ( | Piece | p,
|  | Square | pos )

inline

Definition at line 157 of file effect_action.h.

References doAction().

## Member Data Documentation

## store

PieceVector* osl::effect_action::StorePiece::store

Definition at line 152 of file effect_action.h.

Referenced by doAction(), and StorePiece().

The documentation for this struct was generated from the following file:

- effect_action.h